summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2019-03-04 19:43:50 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2019-03-04 20:29:22 -0800
commit97c4cf0edea7354f2984385db4264f4d3a8a8fe6 (patch)
treed77ef006b76d171013c5eae2b51a0ed376a04669
parentnet-misc/secpanel: bump EAPI (diff)
downloadgentoo-97c4cf0edea7354f2984385db4264f4d3a8a8fe6.tar.gz
gentoo-97c4cf0edea7354f2984385db4264f4d3a8a8fe6.tar.bz2
gentoo-97c4cf0edea7354f2984385db4264f4d3a8a8fe6.zip
sys-kernel/spl: bump to 0.7.13
proper python handling compatible with linux 5.0 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
-rw-r--r--sys-kernel/spl/Manifest1
-rw-r--r--sys-kernel/spl/spl-0.7.13.ebuild119
2 files changed, 120 insertions, 0 deletions
diff --git a/sys-kernel/spl/Manifest b/sys-kernel/spl/Manifest
index 15e57b36605..d75b815355f 100644
--- a/sys-kernel/spl/Manifest
+++ b/sys-kernel/spl/Manifest
@@ -1,6 +1,7 @@
DIST spl-0.6.5.11.tar.gz 531710 BLAKE2B e89cb5a023d3f4b3949a385100b56e01c5fd0ff4448bc175f8463a84b74d1d8f1fcf669c2e4b73f2ec3326653594106ebfa3e66987e49a9cd029355bbb317990 SHA512 eae1641a0d528cb9182deccd309625e13abf3db88ba1cbb54947055b23d1f94b62c045f939d5e952784f19719eea5fdf85d65c5abd22b9db167ea7780bc55722
DIST spl-0.7.11.tar.gz 551795 BLAKE2B c7002e0281ad6c1e97e2e5ef1365500ed2dce8d06339679b1a5e6405bea61c918cde280b8b840ab023a8fb73198faf985043e3e5eddae2494b331bea7637ad44 SHA512 c7d5d2f504f98f581554d3cf96fe5ae128dae6a27b0aa802e0f95f6b7d89f8a9783c71696e095a6a25a319c28087d933b5ebaa015111f96711d2fb54195c197c
DIST spl-0.7.12.tar.gz 551880 BLAKE2B 751909a5dba7060b6eb88acdf2e9a64010a802eef98f967d61bb4463b5e80d86c325d027d8092beab4f72b1bac90b1c5fa20a2d1448bd331e0bf214b4b5acbb6 SHA512 4dcada8ccde3fc0320eafbd8b3592baf3f5970babbb2c0b8d2c2c5f254bd940e52565fa86c176f455f819da2a192077df8183640fb7c6279410d628e446335f9
+DIST spl-0.7.13.tar.gz 554211 BLAKE2B 7c1c95beb23b9725b3552a5bdb2260743c72fbc96cbdda8353893b9b13299b8a30c64d22400bc37d35ee21389eec809ee6d7b85a181ce44f0065dff81cb2e2a4 SHA512 31b67dc2f88f5028b5994aef886e05aeb9e65661895bffa29c5a1ac84df5f1c8e9c715f8cd7b63cf271d651ab7278aa63f51c78000f333ff7a75f0f8eedb5998
DIST spl-0.7.8.tar.gz 559558 BLAKE2B 5aa68a8150cb0c922c1ad0df9d1260136cedd95c13df45cc4490d937746a2a0e76e964978128a6f4e553f7bad4adc72a0408ef89969a15ba3f43af26e412b61c SHA512 dcd38dd0971042603baa474460486ed2e7cb59468de7613fa713eb4bdd081026794af7780b5d8970dd17645b04b6dde1e2f43e89a782437a50afc679a8850001
DIST spl-0.7.9-r1-patches.tar.xz 2428 BLAKE2B 5a8550be587c511975d579bdba889538ed574d51b75ff579d02da190a2f8f0c2ba79a5ab4247603f17d26d0ec4d3552dd066c276b99e152d3d95a420db62038c SHA512 829d16e9ab98d568174558fe850e6cb75a70c05de485054f1801f3896dc1fb56a1aaa7f4ba6c7e107558eef591456098291917ca071774c12f4191b0004b9b93
DIST spl-0.7.9.tar.gz 551115 BLAKE2B 0ebb801ff60e5f8691c0b3386b5b1c326ea9d40decc20fb455ddb103d108923f28cd870e1c1dc465af5e24e8627973f2b60e7b9b88b3fdbd3ac45f3bd167def2 SHA512 89a42a65b3c09a654ffc3bcef84a0735eefe080c2d790400a3691cccf01e9f0a95cd40a4eed37542cfa7f4a94f20e06aae44886325473713407833d247751ec3
diff --git a/sys-kernel/spl/spl-0.7.13.ebuild b/sys-kernel/spl/spl-0.7.13.ebuild
new file mode 100644
index 00000000000..989c837b2cf
--- /dev/null
+++ b/sys-kernel/spl/spl-0.7.13.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+if [[ ${PV} == "9999" ]] ; then
+ AUTOTOOLS_AUTORECONF="1"
+ EGIT_REPO_URI="https://github.com/zfsonlinux/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/zfsonlinux/zfs/releases/download/zfs-${PV}/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+inherit flag-o-matic linux-info linux-mod python-single-r1 autotools-utils
+
+DESCRIPTION="The Solaris Porting Layer provides many of the Solaris kernel APIs"
+HOMEPAGE="https://zfsonlinux.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="custom-cflags debug"
+RESTRICT="debug? ( strip ) test"
+
+COMMON_DEPEND="
+ dev-lang/perl
+ virtual/awk"
+
+DEPEND="${COMMON_DEPEND}"
+
+RDEPEND="${COMMON_DEPEND}
+ ${PYTHON_DEPS}
+ !sys-devel/spl"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+AT_M4DIR="config"
+AUTOTOOLS_IN_SOURCE_BUILD="1"
+DOCS=( AUTHORS DISCLAIMER )
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+ linux-info_pkg_setup
+ CONFIG_CHECK="
+ !DEBUG_LOCK_ALLOC
+ MODULES
+ KALLSYMS
+ !PAX_KERNEXEC_PLUGIN_METHOD_OR
+ !PAX_SIZE_OVERFLOW
+ !TRIM_UNUSED_KSYMS
+ ZLIB_DEFLATE
+ ZLIB_INFLATE
+ "
+
+ use debug && CONFIG_CHECK="${CONFIG_CHECK}
+ FRAME_POINTER
+ DEBUG_INFO
+ !DEBUG_INFO_REDUCED
+ "
+
+ kernel_is ge 2 6 32 || die "Linux 2.6.32 or newer required"
+
+ [ ${PV} != "9999" ] && \
+ { kernel_is le 5 0 || die "Linux 5.0 is the latest supported version."; }
+
+ check_extra_config
+}
+
+src_prepare() {
+ # Workaround for hard coded path
+ sed -i "s|/sbin/lsmod|/bin/lsmod|" "${S}/scripts/check.sh" || \
+ die "Cannot patch check.sh"
+
+ # splat is unnecessary unless we are debugging
+ use debug || { sed -e 's/^subdir-m += splat$//' -i "${S}/module/Makefile.in" || die ; }
+
+ # Set module revision number
+ [ ${PV} != "9999" ] && \
+ { sed -i "s/\(Release:\)\(.*\)1/\1\2${PR}-gentoo/" "${S}/META" || die "Could not set Gentoo release"; }
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ use custom-cflags || strip-flags
+ filter-ldflags -Wl,*
+
+ set_arch_to_kernel
+ local myeconfargs=(
+ --bindir="${EPREFIX}/bin"
+ --sbindir="${EPREFIX}/sbin"
+ --with-config=all
+ --with-linux="${KV_DIR}"
+ --with-linux-obj="${KV_OUT_DIR}"
+ $(use_enable debug)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install INSTALL_MOD_PATH="${INSTALL_MOD_PATH:-$EROOT}"
+ # enforce selected python implementation
+ python_fix_shebang "${ED}/bin"
+}
+
+pkg_postinst() {
+ linux-mod_pkg_postinst
+
+ # Remove old modules
+ if [ -d "${EROOT}lib/modules/${KV_FULL}/addon/spl" ]
+ then
+ ewarn "${PN} now installs modules in ${EROOT}lib/modules/${KV_FULL}/extra/spl"
+ ewarn "Old modules were detected in ${EROOT}lib/modules/${KV_FULL}/addon/spl"
+ ewarn "Automatically removing old modules to avoid problems."
+ rm -r "${EROOT}lib/modules/${KV_FULL}/addon/spl" || die "Cannot remove modules"
+ rmdir --ignore-fail-on-non-empty "${EROOT}lib/modules/${KV_FULL}/addon"
+ fi
+}